/**
 *
 */
package de.intevation.gnv.timeseries;

import org.apache.log4j.Logger;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

import de.intevation.gnv.artifacts.GNVArtifactBase;
import de.intevation.gnv.artifacts.context.GNVArtifactContext;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class TimeSeriesArtifact extends GNVArtifactBase {
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(TimeSeriesArtifact.class);
    
    
    /**
     * The UID of this class
     */
    private static final long serialVersionUID = -8291547966693867205L;
    
    /**
     * Constructor
     */
    public TimeSeriesArtifact(){
        super();
        log.debug("TimeSeriesArtifact.Constructor");
        this.name = "timeSeries";
    }

    /**
     * @see de.intevation.artifactdatabase.DefaultArtifact#describe(java.lang.Object)
     */
    @Override
    public Document describe(Object context) {
        log.debug("TimeSeriesArtifact.describe");
        return super.createDescibeOutput();
    }

    /**
     * @see de.intevation.artifactdatabase.DefaultArtifact#feed(org.w3c.dom.Document, java.lang.Object)
     */
    @Override
    public Document feed(Document target, Object context) {
        log.debug("TimeSfeederiesArtifact.feed");
        return super.feed(target, context);
    }

    /**
     * @see de.intevation.artifactdatabase.DefaultArtifact#out(org.w3c.dom.Document, java.lang.Object)
     */
    @Override
    public byte[] out(Document format, Object context) {
        log.debug("TimeSeriesArtifact.out");
        return super.out(format, context);
    }

    /**
     * @see de.intevation.artifactdatabase.DefaultArtifact#setup(java.lang.String, java.lang.Object)
     */
    @Override
    public void setup(String identifier, Object context) {
        log.debug("TimeSeriesArtifact.setup");
        super.setup(identifier, context);
    }
}
